<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/13/2004 *
 * ===================                          Last change: 11/14/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : show_bonus.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Show ranking list for turbo-bonus                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Rankliste fuer Turbo-Bonus anzeigen              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['startTime'] = microtime(true);

// Set this because we have no module in URI
$GLOBALS['module'] = 'show_bonus';
$GLOBALS['output_mode'] = '0';

// Load the required file(s)
require('inc/config-global.php');

// Set content type
setContentType('text/html');

// Is the 'bonus' extension active?
redirectOnUninstalledExtension('bonus');

// Include header
loadIncludeOnce('inc/header.php');

if ((getRequestParameter('userid') > 0) && (getRequestParameter('d') > 0) && (isGetRequestParameterSet('t'))) {
	// Set row name
	$t = '';
	switch (getRequestParameter('t')) {
		case 'bonusid': // Bonus mail
			$t = 'bonus_id';
			break;

		case 'mailid': // Regular member mail
			$t = 'mail_id';
			break;

		default: // Invalid type
			logDebugMessage(__FILE__, __LINE__, sprintf("Invalid type %s detected.", getRequestParameter('t')));
			break;
	} // END - switch

	// Valid type?
	if (!empty($t)) {
		// Check for data
		$result = SQL_QUERY_ESC("SELECT d.gender, d.surname, d.family, b.level, b.points
FROM
	`{?_MYSQL_PREFIX?}_user_data` AS d
RIGHT JOIN
	`{?_MYSQL_PREFIX?}_bonus_turbo` AS b
ON
	d.userid=b.userid
WHERE
	d.`status`='CONFIRMED' AND d.userid=%s AND b.%s=%s
LIMIT 1",
			array(
				bigintval(getRequestParameter('userid')),
				$t,
				bigintval(getRequestParameter('d'))
			), __FILE__, __LINE__);

		// Entry found?
		if (SQL_NUMROWS($result) == 1) {
			// Load data
			$content = SQL_FETCHARRAY($result);

			// Prepare constants for the pre-template
			$content['gender'] = translateGender($content['gender']);
			$content['points'] = translateComma($content['points']);
			$content['mailid'] = bigintval(getRequestParameter('d'));
			$content['rows']   = addBonusRanks(bigintval(getRequestParameter('d')), $t, bigintval(getRequestParameter('userid')));

			// Get some prepared content
			$content = merge_array($content, $GLOBALS['ranking_content']);

			// Load pre-template
			$content['message'] = loadTemplate('show_bonus_msg', true, $content);
		} else {
			// No data found
			$content['message'] = '<span class="guest_failed">{--BONUS_SHOW_NO_DATA--}</span>';
		}

		// Free memory
		SQL_FREERESULT($result);
	} else {
		// Wrong type entered
		$content['message'] = '<span class="guest_failed">{--BONUS_SHOW_WRONG_TYPE--}</span>';
	}
} else {
	// Wrong call!
	$content['message'] = '<span class="guest_failed">{--BONUS_SHOW_WRONG_CALL--}</span>';
}

// Load send_bonus header template (for your banners, e.g.?)
$content['header'] = loadTemplate('show_bonus_header', true);

// Load show_bonus footer template (for your banners, e.g.?)
$content['footer'] = loadTemplate('show_bonus_footer', true);

// Load final template
loadTemplate('show_bonus', false, $content);

// Include footer
loadIncludeOnce('inc/footer.php');

// [EOF]
?>
